Skip to main content

Item Pricing

In Depth Documentation​

For a deep dive into Cova Product Pricing, see Cova Pricing API guide
Cova Pricing API Guide
Also see Data Platform for enhanced full product detail endpoints

Endpoints​

EndpointDescription
Changed Location PricesThis call returns all current pricing at a location for products where prices have been updated
Changed PricesThis call returns all current pricing for products where prices have been updated
Product PricesReturns Pricing Details for all Products at the specified Location within the Company.
Product Price by Catalog ItemThis call returns Pricing Details for the specified item at the specified Location within the Company.
Pricing GroupsThis call returns all Pricing Groups within the Company
Pricing GroupThis call returns details for a Particular Pricing Group within the Company
Pricing TiersThis call returns all Pricing Tiers within the Company
Pricing TierThis call returns a Particular Pricing Tier within the Company
Pricing ShelvesThis call returns all Pricing Shelves within the Company
Pricing ShelfThis call returns a Particular Pricing Shelf Details within the Company

Changed Location Prices​

GET /pricing/v1/Companies/{CompanyId}/Locations/{LocationId}/ChangedPrices/{asOfDateUtc}

This call returns all current pricing at a location for products where prices have been updated

Example of a call would be:​

https://api.covasoft.net/pricing/v1/Companies/{CompanyId}/Locations/{LocationId}/ChangedPrices/{fiveMinutesAgo}?&skip=0&top=500
Recommend calling this endpoint once per minute requesting changes from the last 5 minutes.

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired
LocationIdIdentifier of the location for pricing updatesintegerRequired
asOfDateUtcPrices changed on or after this datetime. example: 2024-01-25T16:22dateRequired

Body Parameters​

None.

Response Information​

Resource Description​

Returns prices that have been updated since the supplied LastModifiedDateUtc filter

Collection of PriceChangedAtLocationResource

NameDescriptionTypeAdditional information
ChangedProductIdglobally unique identifierNone.
LocationsCollection of PriceChangeLocationNone.

Response Formats​

application/json, text/json

[
{
"ChangedProductId": "27b47c80-76c4-4d7d-94b5-f23985c550f0",
"Locations": [
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
]
},
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
]
}
]
},
{
"ChangedProductId": "27b47c80-76c4-4d7d-94b5-f23985c550f0",
"Locations": [
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
]
},
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"LocationId": 1,
"ProductId": "b6a7a76b-fd6a-4e1a-a6d2-31abdf1f306c",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T17:41:30.8208392+00:00",
"StopDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T17:41:30.8208392+00:00"
}
]
}
]
}
]

Models​

PriceChangeLocation
NameDescriptionTypeAdditional information
LocationIdintegerNone.
PricesCollection of PriceResourceNone.
PriceResource
NameDescriptionTypeAdditional information
LocationIdLocation (store) identifier where this price is validintegerNone.
ProductIdUsed throughout Cova as the main identifier for a productglobally unique identifierNone.
TierIdTier identifier, if this product is priced in tiers. Example of tiers: 2 or fewer for $5 each; 3 to 5 for $4 each; 6 or more for $3 each Nullable if not a tiered priceintegerNone.
TierNameName of the tier, if applicablestringNone.
TierQuantityMinimum quantity to qualify for the tier price Nullable if not a tiered pricedecimal numberNone.
AtTierPriceAppliesUpToFor weigh heavy pricing, the maximum quantity to qualify for the AtTierPrice Nullable if not a tiered price or the tier does not use weigh heavy pricingdecimal numberNone.
GroupIdIdentifier of a pricing group, if applicableintegerNone.
GroupNameName of the pricing group. For example: Veterans, Employees Nullable if not a group pricestringNone.
ShelfIdIdentifier of a pricing shelf, if applicable. A Shelf is a way to apply common pricing to multiple products. For example, all products on the "Top Shelf" are $10.integerNone.
ShelfNameName of the pricing shelf, if applicable Nullable if not a shelf pricestringNone.
PriceRegular price for this productdecimal numberNone.
AtTierPricePrice for this item at the lower bound (TierQuantity) or quantity range (TierQuantity - AtTierPriceAppliesUpTo if the tier uses weigh heavy pricing). Always use this price when calculating totals for tiered items. Nullable if not a tiered price Nullable if not a tiered pricedecimal numberNone.
SalePricesCollection of SalePriceResourceNone.
UpdatedDateUtcThe UTC datetime this pricing record was last modifieddateNone.
SalePriceResource
NameDescriptionTypeAdditional information
SalePriceThe sale price for this productdecimal numberNone.
AtTierSalePriceSale Price for this product at the lower bound (TierQuantity). Always use this price when calculating totals for tiered products. Nullable if not a tiered pricedecimal numberNone.
StartDateUtcUTC datetime for when the sale begins NullabledateNone.
StopDateUtcUTC datetime for when the sale ends NullabledateNone.

Changed Prices​

GET /pricing/v1/Companies/{CompanyId}/ChangedPrices/{asOfDateUtc}

This call returns all current pricing for products where prices have been updated

Example of a call would be:​

https://api.covasoft.net/pricing/v1/Companies/{CompanyId}/ChangedPrices/{fiveMinutesAgo}?&skip=0&top=500
Recommend calling this endpoint once per minute requesting changes from the last 5 minutes.

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired
asOfDateUtcPrices changed on or after this datetime. example: 2024-01-25T16:22dateRequired

Body Parameters​

None.

Response Information​

Resource Description​

Returns prices that have been updated since the supplied LastModifiedDateUtc filter

Collection of PriceChangedAtLocationResource

NameDescriptionTypeAdditional information
ChangedProductIdglobally unique identifierNone.
LocationsCollection of PriceChangeLocationNone.

Response Formats​

application/json, text/json

[
{
"ChangedProductId": "20694df6-2fc0-4792-b96b-84312fa9cf5d",
"Locations": [
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
]
},
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
]
}
]
},
{
"ChangedProductId": "20694df6-2fc0-4792-b96b-84312fa9cf5d",
"Locations": [
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
]
},
{
"LocationId": 1,
"Prices": [
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"LocationId": 1,
"ProductId": "9fb938d9-8bb2-4b42-8d16-6985d2ed89ec",
"TierId": 1,
"TierName": "sample string 3",
"TierQuantity": 1,
"AtTierPriceAppliesUpTo": 1,
"GroupId": 1,
"GroupName": "sample string 4",
"ShelfId": 1,
"ShelfName": "sample string 5",
"Price": 6,
"AtTierPrice": 1,
"SalePrices": [
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
},
{
"SalePrice": 1,
"AtTierSalePrice": 1,
"StartDateUtc": "2026-10-02T11:22:16.7031333+00:00",
"StopDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
],
"UpdatedDateUtc": "2026-10-02T11:22:16.7031333+00:00"
}
]
}
]
}
]

Models​

PriceChangeLocation
NameDescriptionTypeAdditional information
LocationIdintegerNone.
PricesCollection of PriceResourceNone.
PriceResource
NameDescriptionTypeAdditional information
LocationIdLocation (store) identifier where this price is validintegerNone.
ProductIdUsed throughout Cova as the main identifier for a productglobally unique identifierNone.
TierIdTier identifier, if this product is priced in tiers. Example of tiers: 2 or fewer for $5 each; 3 to 5 for $4 each; 6 or more for $3 each Nullable if not a tiered priceintegerNone.
TierNameName of the tier, if applicablestringNone.
TierQuantityMinimum quantity to qualify for the tier price Nullable if not a tiered pricedecimal numberNone.
AtTierPriceAppliesUpToFor weigh heavy pricing, the maximum quantity to qualify for the AtTierPrice Nullable if not a tiered price or the tier does not use weigh heavy pricingdecimal numberNone.
GroupIdIdentifier of a pricing group, if applicableintegerNone.
GroupNameName of the pricing group. For example: Veterans, Employees Nullable if not a group pricestringNone.
ShelfIdIdentifier of a pricing shelf, if applicable. A Shelf is a way to apply common pricing to multiple products. For example, all products on the "Top Shelf" are $10.integerNone.
ShelfNameName of the pricing shelf, if applicable Nullable if not a shelf pricestringNone.
PriceRegular price for this productdecimal numberNone.
AtTierPricePrice for this item at the lower bound (TierQuantity) or quantity range (TierQuantity - AtTierPriceAppliesUpTo if the tier uses weigh heavy pricing). Always use this price when calculating totals for tiered items. Nullable if not a tiered price Nullable if not a tiered pricedecimal numberNone.
SalePricesCollection of SalePriceResourceNone.
UpdatedDateUtcThe UTC datetime this pricing record was last modifieddateNone.
SalePriceResource
NameDescriptionTypeAdditional information
SalePriceThe sale price for this productdecimal numberNone.
AtTierSalePriceSale Price for this product at the lower bound (TierQuantity). Always use this price when calculating totals for tiered products. Nullable if not a tiered pricedecimal numberNone.
StartDateUtcUTC datetime for when the sale begins NullabledateNone.
StopDateUtcUTC datetime for when the sale ends NullabledateNone.

Product Prices​

GET /pricing/v1/Companies({CompanyId})/ProductPrices?EntityId={EntityId}

Returns Pricing Details for all Products at the specified Location within the Company.

This API is intended for first-time or occasional synchronization, not for continuous iterative use.
To ensure consistency as prices change, see Changed Location Prices or Changed Prices

Example of a call would be:​

https://api.covasoft.net/pricing/v1/Companies({{CompanyId}})/ProductPrices?$filter=EntityId eq {{LocationId}}&$skip=0&$top=1000
Caution: Failure to provide paging values will result in a default setting of $skip=0 and $top=5000, potentially leading to data inconsistency when exceeding 5000 pricing items.

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired
EntityIdLocation Id from the Comapany Tree for the Location you want pricing for itemsintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

Returns Pricing for all the items in the specified Location within the Company

Collection of ProductPricesResource

NameDescriptionTypeAdditional information
IdintegerNone.
EntityIdIdentifier within the Company Tree where this price is setintegerNone.
CatalogItemIdstringNone.
PricingTermIdObsoleteintegerNone.
PricingTierIdintegerNone.
PricingGroupIdintegerNone.
PricingShelfIdintegerNone.
RegularPriceRegular price for this item. For tiered prices, calculated as price entered by retailer / quantityLowerBound. NOTE: Only use this value if there is no AtTierPricedecimal numberNone.
AtTierPricePrice of the item at the specified tier. LineAmount = (tierPrice/lowerBound) * qty Example: 3 for $10 RegularPrice will be: $10.00/3 = 3.33. Selling price for 3 would then be 9.99 due to rounding, not 10.00 Using AtTierPrice: (10.00/3)*3 = $10.decimal numberNone.
IsDiscountableobsoletebooleanNone.
FloorPriceobsoletedecimal numberNone.
OriginalPriceobsoletedecimal numberNone.
PricingTermobsoletestringNone.
PricingTierPricingTierNone.
PricingGroupPricingGroupNone.
PricingShelfPricingShelfNone.
SalePricesCollection of SalePrices. If no start/stop dates are provided, it is the current default valid sale. There can only be one such default sale. Other sales must have start/stop dates and they cannot overlapCollection of OnSalePriceNone.

Response Formats​

application/json, text/json

[
{
"Id": 1,
"EntityId": 2,
"CatalogItemId": "sample string 3",
"PricingTermId": 1,
"PricingTierId": 1,
"PricingGroupId": 1,
"PricingShelfId": 1,
"RegularPrice": 4.1,
"AtTierPrice": 1.1,
"IsDiscountable": true,
"FloorPrice": 1.1,
"OriginalPrice": 1.1,
"PricingTerm": "sample string 6",
"PricingTier": {
"Id": 1,
"CompanyId": 2,
"TierName": "sample string 3",
"QuantityLowerBound": 4.1,
"AtTierPriceAppliesUpTo": 1.1
},
"PricingGroup": {
"Id": 1,
"CompanyId": 2,
"GroupName": "sample string 3",
"Description": "sample string 4",
"IsDeleted": true
},
"PricingShelf": {
"Id": 1,
"CompanyId": 2,
"ShelfName": "sample string 3",
"Description": "sample string 4"
},
"SalePrices": [
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"StopDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
},
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"StopDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
}
]
},
{
"Id": 1,
"EntityId": 2,
"CatalogItemId": "sample string 3",
"PricingTermId": 1,
"PricingTierId": 1,
"PricingGroupId": 1,
"PricingShelfId": 1,
"RegularPrice": 4.1,
"AtTierPrice": 1.1,
"IsDiscountable": true,
"FloorPrice": 1.1,
"OriginalPrice": 1.1,
"PricingTerm": "sample string 6",
"PricingTier": {
"Id": 1,
"CompanyId": 2,
"TierName": "sample string 3",
"QuantityLowerBound": 4.1,
"AtTierPriceAppliesUpTo": 1.1
},
"PricingGroup": {
"Id": 1,
"CompanyId": 2,
"GroupName": "sample string 3",
"Description": "sample string 4",
"IsDeleted": true
},
"PricingShelf": {
"Id": 1,
"CompanyId": 2,
"ShelfName": "sample string 3",
"Description": "sample string 4"
},
"SalePrices": [
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"StopDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
},
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"StopDateUtc": "2026-10-02T17:41:32.2426877+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
}
]
}
]

Models​

PricingTier

Valid for Mass or Single Unit items. A tier defines a lower bound. When the lower bound is met, the associated price is valid. Example: Product is $4/g and tiers exists at 3.5g for $10, and 7g for $18 If a customer purchases 3.5g up to 6.999g, the 3.5g tier applies LineAmount = (tierPrice/lowerBound) * qty

NameDescriptionTypeAdditional information
IdintegerNone.
CompanyIdintegerNone.
TierNamestringNone.
QuantityLowerBoundminimum quantity required to qualify for this pricing tierdecimal numberNone.
AtTierPriceAppliesUpTofor weigh heavy pricing, the maximum quantity to qualify for the AtTierPricedecimal numberNone.
PricingGroup

Group of customers who receive special pricing.

NameDescriptionTypeAdditional information
IdIdentifier of the group. If a customer belongs to a pricing group, this value will exist on their customer profile as PricingGroupIdintegerNone.
CompanyIdintegerNone.
GroupNamestringNone.
DescriptionstringNone.
IsDeletedbooleanNone.
OnSalePrice

Pricing that may be valid instead of the regular price

NameDescriptionTypeAdditional information
IdintegerNone.
StartDateUtcOptional start of the sale price.dateNone.
StopDateUtcoptional end of the sale price.dateNone.
SalePriceSimilar to RegularPrice, only use in absense of AtTierSalePricedecimal numberNone.
AtTierSalePriceSimilar to AtTierPricedecimal numberNone.

Product Price by Catalog Item​

GET /pricing/v1/Companies({CompanyId})/ProductPrices?EntityId={EntityId}&CatalogItemId={CatalogItemId}

This call returns Pricing Details for the specified item at the specified Location within the Company.

This API is intended to confirm or resynchronize an item’s price(s) if there is reason to believe it is inconsistent across systems, not for continuous iterative use.
To ensure consistency as prices change, see Changed Location Prices or Changed Prices

Example of a call would be:​

https://api.covasoft.net/pricing/v1/Companies({{CompanyId}})/ProductPrices?$filter=EntityId eq {{LocationId}} and CatalogItemId eq guid'{{CatalogItemId}}'

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired
EntityIdLocation Id from the Comapany Tree for the Location you want pricing for itemsintegerRequired
CatalogItemIdThe CatalogItemId that you want the price for from the Catalogglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

Returns Pricing for the item at the specified Location within the Company

Collection of ProductPricesResource

NameDescriptionTypeAdditional information
IdintegerNone.
EntityIdIdentifier within the Company Tree where this price is setintegerNone.
CatalogItemIdstringNone.
PricingTermIdObsoleteintegerNone.
PricingTierIdintegerNone.
PricingGroupIdintegerNone.
PricingShelfIdintegerNone.
RegularPriceRegular price for this item. For tiered prices, calculated as price entered by retailer / quantityLowerBound. NOTE: Only use this value if there is no AtTierPricedecimal numberNone.
AtTierPricePrice of the item at the specified tier. LineAmount = (tierPrice/lowerBound) * qty Example: 3 for $10 RegularPrice will be: $10.00/3 = 3.33. Selling price for 3 would then be 9.99 due to rounding, not 10.00 Using AtTierPrice: (10.00/3)*3 = $10.decimal numberNone.
IsDiscountableobsoletebooleanNone.
FloorPriceobsoletedecimal numberNone.
OriginalPriceobsoletedecimal numberNone.
PricingTermobsoletestringNone.
PricingTierPricingTierNone.
PricingGroupPricingGroupNone.
PricingShelfPricingShelfNone.
SalePricesCollection of SalePrices. If no start/stop dates are provided, it is the current default valid sale. There can only be one such default sale. Other sales must have start/stop dates and they cannot overlapCollection of OnSalePriceNone.

Response Formats​

application/json, text/json

[
{
"Id": 1,
"EntityId": 2,
"CatalogItemId": "sample string 3",
"PricingTermId": 1,
"PricingTierId": 1,
"PricingGroupId": 1,
"PricingShelfId": 1,
"RegularPrice": 4.1,
"AtTierPrice": 1.1,
"IsDiscountable": true,
"FloorPrice": 1.1,
"OriginalPrice": 1.1,
"PricingTerm": "sample string 6",
"PricingTier": {
"Id": 1,
"CompanyId": 2,
"TierName": "sample string 3",
"QuantityLowerBound": 4.1,
"AtTierPriceAppliesUpTo": 1.1
},
"PricingGroup": {
"Id": 1,
"CompanyId": 2,
"GroupName": "sample string 3",
"Description": "sample string 4",
"IsDeleted": true
},
"PricingShelf": {
"Id": 1,
"CompanyId": 2,
"ShelfName": "sample string 3",
"Description": "sample string 4"
},
"SalePrices": [
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"StopDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
},
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"StopDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
}
]
},
{
"Id": 1,
"EntityId": 2,
"CatalogItemId": "sample string 3",
"PricingTermId": 1,
"PricingTierId": 1,
"PricingGroupId": 1,
"PricingShelfId": 1,
"RegularPrice": 4.1,
"AtTierPrice": 1.1,
"IsDiscountable": true,
"FloorPrice": 1.1,
"OriginalPrice": 1.1,
"PricingTerm": "sample string 6",
"PricingTier": {
"Id": 1,
"CompanyId": 2,
"TierName": "sample string 3",
"QuantityLowerBound": 4.1,
"AtTierPriceAppliesUpTo": 1.1
},
"PricingGroup": {
"Id": 1,
"CompanyId": 2,
"GroupName": "sample string 3",
"Description": "sample string 4",
"IsDeleted": true
},
"PricingShelf": {
"Id": 1,
"CompanyId": 2,
"ShelfName": "sample string 3",
"Description": "sample string 4"
},
"SalePrices": [
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"StopDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
},
{
"Id": 1,
"StartDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"StopDateUtc": "2026-10-02T17:41:32.9965434+00:00",
"SalePrice": 2.1,
"AtTierSalePrice": 3.1
}
]
}
]

Models​

PricingTier

Valid for Mass or Single Unit items. A tier defines a lower bound. When the lower bound is met, the associated price is valid. Example: Product is $4/g and tiers exists at 3.5g for $10, and 7g for $18 If a customer purchases 3.5g up to 6.999g, the 3.5g tier applies LineAmount = (tierPrice/lowerBound) * qty

NameDescriptionTypeAdditional information
IdintegerNone.
CompanyIdintegerNone.
TierNamestringNone.
QuantityLowerBoundminimum quantity required to qualify for this pricing tierdecimal numberNone.
AtTierPriceAppliesUpTofor weigh heavy pricing, the maximum quantity to qualify for the AtTierPricedecimal numberNone.
PricingGroup

Group of customers who receive special pricing.

NameDescriptionTypeAdditional information
IdIdentifier of the group. If a customer belongs to a pricing group, this value will exist on their customer profile as PricingGroupIdintegerNone.
CompanyIdintegerNone.
GroupNamestringNone.
DescriptionstringNone.
IsDeletedbooleanNone.
OnSalePrice

Pricing that may be valid instead of the regular price

NameDescriptionTypeAdditional information
IdintegerNone.
StartDateUtcOptional start of the sale price.dateNone.
StopDateUtcoptional end of the sale price.dateNone.
SalePriceSimilar to RegularPrice, only use in absense of AtTierSalePricedecimal numberNone.
AtTierSalePriceSimilar to AtTierPricedecimal numberNone.

Pricing Groups​

GET /pricing/v1/Companies({CompanyId})/PricingGroups

This call returns all Pricing Groups within the Company

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

Returns Pricing Groups within the Company

Collection of PricingGroupsByCompanyResource

NameDescriptionTypeAdditional information
IdintegerNone.
CompanyIdintegerNone.
GroupNamestringNone.
DescriptionstringNone.
IsDeletedbooleanNone.

Response Formats​

application/json, text/json

[
{
"Id": 1,
"CompanyId": 2,
"GroupName": "sample string 3",
"Description": "sample string 4",
"IsDeleted": true
},
{
"Id": 1,
"CompanyId": 2,
"GroupName": "sample string 3",
"Description": "sample string 4",
"IsDeleted": true
}
]

Pricing Group​

GET /pricing/v1/Companies({CompanyId})/PricingGroups({GroupId})

This call returns details for a Particular Pricing Group within the Company

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired
GroupIdThe Group Id you are looking up information for PricingintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

Returns a Particular Pricing Group Detials within the Company

PricingGroupDetailsResource

NameDescriptionTypeAdditional information
IdintegerNone.
CompanyIdintegerNone.
GroupNamestringNone.
DescriptionstringNone.
IsDeletedbooleanNone.

Response Formats​

application/json, text/json

{
"Id": 1,
"CompanyId": 2,
"GroupName": "sample string 3",
"Description": "sample string 4",
"IsDeleted": true
}

Pricing Tiers​

GET /pricing/v1/Companies({CompanyId})/PricingTiers

This call returns all Pricing Tiers within the Company

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

Returns Pricing Tiers within the Company

Collection of PricingTiersByCompanyResource

NameDescriptionTypeAdditional information
IdintegerNone.
CompanyIdintegerNone.
TierNamestringNone.
QuantityLowerBounddecimal numberNone.
AtTierPriceAppliesUpTodecimal numberNone.

Response Formats​

application/json, text/json

[
{
"Id": 1,
"CompanyId": 2,
"TierName": "sample string 3",
"QuantityLowerBound": 4.1,
"AtTierPriceAppliesUpTo": 5.1
},
{
"Id": 1,
"CompanyId": 2,
"TierName": "sample string 3",
"QuantityLowerBound": 4.1,
"AtTierPriceAppliesUpTo": 5.1
}
]

Pricing Tier​

GET /pricing/v1/Companies({CompanyId})/PricingTiers({TierId})

This call returns a Particular Pricing Tier within the Company

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired
TierIdThe Tier Id you are looking up information for PricingintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

Returns a Particular Pricing Tier within the Company

PricingTierDetailsResource

NameDescriptionTypeAdditional information
IdintegerNone.
CompanyIdintegerNone.
TierNamestringNone.
QuantityLowerBoundintegerNone.

Response Formats​

application/json, text/json

{
"Id": 1,
"CompanyId": 2,
"TierName": "sample string 3",
"QuantityLowerBound": 4
}

Pricing Shelves​

GET /pricing/v1/Companies({CompanyId})/PricingShelves

This call returns all Pricing Shelves within the Company

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

Returns Pricing Shelves within the Company

Collection of PricingShelvesByCompanyResource

NameDescriptionTypeAdditional information
IdintegerNone.
CompanyIdintegerNone.
ShelfNamestringNone.
DescriptionstringNone.

Response Formats​

application/json, text/json

[
{
"Id": 1,
"CompanyId": 2,
"ShelfName": "sample string 3",
"Description": "sample string 4"
},
{
"Id": 1,
"CompanyId": 2,
"ShelfName": "sample string 3",
"Description": "sample string 4"
}
]

Pricing Shelf​

GET /pricing/v1/Companies({CompanyId})/PricingShelves({ShelfId})

This call returns a Particular Pricing Shelf Details within the Company

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdCompany Id from your onboarding packageintegerRequired
ShelfIdThe Shelf Id you are looking up information for PricingintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

Returns a Particular Pricing Shelf Details within the Company

PricingShelfDetailsResource

NameDescriptionTypeAdditional information
IdintegerNone.
CompanyIdintegerNone.
ShelfNamestringNone.
DescriptionstringNone.

Response Formats​

application/json, text/json

{
"Id": 1,
"CompanyId": 2,
"ShelfName": "sample string 3",
"Description": "sample string 4"
}